gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper An interface for specifying a tree model that is sortable. See for a working example of a sortable TreeView.
- Method
  2.12.0.0
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Property
  2.12.0.0
  Gtk.TreeIterCompareFunc Function to sort columns by default if not otherwise specified by . a This method is meant to be used together with
- Method
  2.12.0.0
  System.Boolean `` `` a , an integer to put the results in a , an object to put the type of sort into Returns the index of the column currently being used to sort the model data. a
- Property
  2.12.0.0
  System.Boolean Return whether this TreeModel has a default sort function or not. a , true if a default sort function exists. See to set a default sort function.
- Method
  2.12.0.0
  System.Obsolete("Replaced by SetDefaultSortFunc (TreeIterCompareFunc) overload.")
  System.Void `` `` `` A , the function to use for sorting ignored ignored Sets a function to sort columns by default if not otherwise specified by . This method is obsolete. It is replaced by the property.
- Method
  2.12.0.0
  System.Void `` `` A , the sort column index. A , the kind of sort to use Sets which column is to be used to sort the data in the tree.
- Method
  2.12.0.0
  System.Void `` `` A , the index of the column to be sorted A , the function to use for sorting Sets a function that should be used to be sort a particular column. This method is meant to be used together with
- Method
  2.12.0.0
  System.Obsolete("Replaced by SetSortFunc (int, TreeIterCompareFunc) overload.")
  System.Void `` `` `` `` A , the index of the column to be sorted A , the function to use for sorting ignored ignored Sets a function that should be used to be sort a particular column. This overloaded method is obsolete. It is replaced by the SetSortFunc (int, TreeIterCompareFunc) overload." />.
- Event
  2.12.0.0
  System.EventHandler Raised when the sort column is changed.